%define version 0.7.5
%define release 1mdk

Summary:	TetriNET game client for Linux
Name:		gtetrinet
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade
Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.7/%{name}-%{version}.tar.bz2
URL:		http://gtetrinet.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	libgnomeui2-devel
BuildRequires:	ImageMagick
Prereq:		GConf2 >= 2.3.3

%description
GTetrinet is a client program for the popular TetriNET game, a multiplayer
tetris game that is played over the internet. It is written in GTK.
(If you don't know what TetriNET is, check out tetrinet.org)

Its features include:
  * Fully network compatible with Tetrinet v1.13 for Win95/98/NT
  * Theme support with sound
  * Spectator support on Tetrinet-X servers with the qirc patch by Drslum.


%prep
%setup -q

%build
%configure2_5x --enable-detach --enable-ipv6
%make

%install
rm -fr $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# icon
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} \
	 $RPM_BUILD_ROOT%{_liconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir}
convert -geometry 48x48 gtetrinet.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 gtetrinet.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 gtetrinet.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_gamesbindir}/gtetrinet" \
 title="GTetrinet" \
 longtitle="TetriNET game client for Linux" \
 icon="%{name}.png" \
 needs="x11" \
 section="Amusement/Arcade" \
 startup_notify="true"
EOF
 
%find_lang %{name}

%post
%{update_menus}
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gtetrinet.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gtetrinet.schemas > /dev/null
fi 

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_gamesbindir}/*
%{_datadir}/gtetrinet
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_sysconfdir}/gconf/schemas/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Oct  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- new version

* Fri Aug 29 2003 Abel Cheung <deaddog@deaddog.org> 0.7.4-1mdk
- 0.7.4
- Avoids wmconfig stuff seemingly for RH only
- Fix menu section (tetrinet is not a board game)
- Prereq newer version of GConf
- Source URL
- makeinstall_std
- Use description from source instead
- Convert this spec to UTF-8
- Use ImageMagick to convert icons
- Enable IPv6 and page deteching

* Tue Jul 15 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- don't deinstall schemas on update

* Thu Jun 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-1mdk
- Release 0.7.3
- Install and uninstall GConf schemas

* Wed Jun 11 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.2-2mdk
- right configure macro
- gconf files are no config files  
- fix buildrequires

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.2-1mdk
- Release 0.7.2

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-2mdk
- buildrequires

* Tue Apr 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Mar 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Mon Mar 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Tue Feb 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Sun Jan 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Mon Jan 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Tue Oct 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

* Tue Oct 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Mon Oct 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4.1-4mdk
- Use standard icon in menu

* Tue Jul 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- rebuild

* Mon Sep 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- macros
- BM
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-2mdk
- fix group
- fix files section

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Sun Apr  4 1999 Tim Ricketts <tr@oxlug.org>
  [0.2-1]

* Wed Mar 31 1999 Tim Ricketts <tr@oxlug.org>
- made an rpm
